/*
 * Distributed under OSI-approved BSD 3-Clause License. See
 * accompanying License.txt
 */

#include <catalyst.h>

#ifdef __cplusplus
extern "C" {
#endif

enum catalyst_status catalyst_initialize_internal_conduit(const conduit_node* params);
enum catalyst_status catalyst_execute_internal_conduit(const conduit_node* params);
enum catalyst_status catalyst_finalize_internal_conduit(const conduit_node* params);
enum catalyst_status catalyst_about_internal_conduit(conduit_node* params);
enum catalyst_status catalyst_results_internal_conduit(conduit_node* params);

#ifdef __cplusplus
}
#endif
